## firejail 0.9.58.2

=== debian/changelog ===
firejail (0.9.58.2-2+deb9u1) stretch-security; urgency=high
  
  * Non-maintainer upload by the LTS Security Team.
  * Backport for stretch to fix CVE-2022-31214 (Closes: #1012510)

 -- Sylvain Beucler <beuc@debian.org>  Tue, 28 Jun 2022 15:02:11 +0200

firejail (0.9.58.2-2+deb10u3) buster-security; urgency=medium

  * Fix local root exploit reachable via --join logic. (CVE-2022-31214)
    (Closes: #1012510)

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 21 Jun 2022 19:54:44 +0200

firejail (0.9.58.2-2+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable overlayfs support (CVE-2021-26910)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 09 Feb 2021 06:27:31 +0100

firejail (0.9.58.2-2+deb10u1) buster-security; urgency=high

  * Import security fixes for CVE-2020-17367 and CVE-2020-17368:
    - don't interpret output arguments after end-of-options tag
    - don't pass command line through shell when redirecting output

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 06 Aug 2020 18:05:53 +0200

firejail (0.9.58.2-2) unstable; urgency=high

  * Cherry-pick security fix for seccomp bypass issue. (Closes: #929732)
    Seccomp filters were writable inside the jail, so they could be
    overwritten/truncated. Another jail that was then joined with the first
    one, had no seccomp filters applied.
  * Cherry-pick security fix for binary truncation issue. (Closes: #929733)
    When the jailed program was running as root, and firejail was killed
    from the outside (as root), the jailed program had the possibility to
    truncate the firejail binary outside the jail.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 29 May 2019 21:06:42 +0200

firejail (0.9.58.2-1) unstable; urgency=medium

  * New upstream release.
    - new global configuration flag (name-change) that allows disabling
      automatic renaming of sandboxes, if requested name already exists
      (Closes: #920768)
    - whitelist additional files in zoom profile
      Thanks to Patrik Flykt for the patch. (Closes: #921454)
  * Drop patch applied upstream.
  * Switch off cgroup support by default in firejail.config, as it can be
    used to move processes into less restricted cgroups (see also #916920).
  * Install AppArmor local override file via dh_apparmor.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 08 Feb 2019 20:06:02 +0100

=== debian/control ===
Source: firejail
Section: utils
Priority: optional
Maintainer: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: debhelper (>= 10), dh-apparmor, libapparmor-dev
Standards-Version: 4.3.0
Homepage: https://firejail.wordpress.com
Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
Vcs-Browser: https://salsa.debian.org/deki-guest/firejail

Package: firejail
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
Description: sandbox to restrict the application environment
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.

Package: firejail-profiles
Architecture: all
Depends: ${misc:Depends}, firejail
Replaces: firejail (<< 0.9.46~rc1-1)
Breaks: firejail (<< 0.9.46~rc1-1)
Description: profiles for the firejail application sandbox
 Firejail is a SUID security sandbox program that reduces the risk of
 security breaches by restricting the running environment of untrusted
 applications using Linux namespaces and seccomp-bpf.  It allows a
 process and all its descendants to have their own private view of the
 globally shared kernel resources, such as the network stack, process
 table, mount table.
 .
 This package contains firejail profiles for various applications.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no

override_dh_fixperms-arch:
	dh_fixperms
	chmod 4755 debian/firejail/usr/bin/firejail

override_dh_installchangelogs:
	dh_installchangelogs RELNOTES

override_dh_installdocs:
	dh_installdocs -Xupdate_deb.sh

override_dh_auto_install:
	dh_auto_install
	# documentation will be installed by debhelper
	rm --verbose -rf debian/tmp/usr/share/doc/firejail

override_dh_install:
	dh_install -pfirejail
	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
	#dh_missing -pfirejail --fail-missing
	#dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
	dh_apparmor -pfirejail --profile-name=firejail-default

override_dh_auto_test:
	# skip tests here as they are run as autopkgtest

=== debian/tests/control ===
Tests: simple-tests
Restrictions: allow-stderr
Depends: @, expect, file, sudo, procps, xzdec, cpio, less, strace, csh, zsh, man, iputils-ping, wget, x11-common

Tests: application-tests
Restrictions: allow-stderr, isolation-machine
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird, firefox-esr, transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

## firejail 0.9.60

=== debian/changelog ===
firejail (0.9.60-1~mx15+1) mx; urgency=medium

  * Rebuild for MX 15.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.
  * Make recommended packages hard dependencies.
  * debian/rules: revert dh_missing back to dh_install to fix FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 01 Jun 2019 11:49:30 -0700

firejail (0.9.60-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Remove obsolete conffile (snap.profile).
  * Point to experimental branch in Vcs-Git.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 29 May 2019 22:05:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper (>= 10), dh-apparmor, libapparmor-dev
 Standards-Version: 4.3.0
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
+Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git -b experimental
 Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends},
+         firejail-profiles, 
+         iproute2,
+         iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,14 @@
 	rm --verbose -rf debian/tmp/usr/share/doc/firejail
 
 override_dh_install:
-	dh_install -pfirejail
-	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
-	#dh_missing -pfirejail --fail-missing
-	#dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
+#	dh_install -pfirejail
+#	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
+	dh_install -pfirejail --fail-missing
+	dh_install -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
 	dh_apparmor -pfirejail --profile-name=firejail-default
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## firejail 0.9.62

=== debian/changelog ===
firejail (0.9.62-3~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make all Recommends hard dependencies.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Feb 2020 16:18:03 -0800

firejail (0.9.62-3) unstable; urgency=medium

  * Import upstream profile fixes:
    - firefox (Closes: #948558)
    - transmission-daemon (Closes: #948993)
  * Import another test fix and skip faudit test inside containers.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 20 Jan 2020 19:53:34 +0100

firejail (0.9.62-2) unstable; urgency=medium

  * autopkgtest improvements:
    - cherry-pick upstream test fixes
    - restore default firejail config for running tests
    - add testuser to firejail.users file
    - split filters tests into isolation-machine test, as they do not
      work well inside containers that already set up seccomp.
    - skip tests that require working terminal
    - disable another test that tries to access the internet
    - run simple-tests as root to do some setup

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 03 Jan 2020 16:57:15 +0100

firejail (0.9.62-1) unstable; urgency=medium

  * New upstream release.
    - fixes ffplay profile (Closes: #941241)
    - allows nc in ssh profile for usage in ProxyCommand (Closes: #941730)
  * Refresh patches.
  * Drop removed skype profile.
  * Build-depend on pkg-config.
  * Install profile templates to doc dir.
  * Update copyrights.
  * Bump Standards-Version to 4.4.1.
  * Declare that d/rules does not require root.
  * Cherry-pick m4 macro that was not included in orig tarball.
  * Rename ADTTMP to AUTOPKGTEST_TMP in autopkgtests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 30 Dec 2019 18:11:17 +0100

firejail (0.9.60-2) unstable; urgency=medium

  * Upload to unstable.
  * Revert "Point to experimental branch in Vcs-Git".

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 07 Jul 2019 15:19:13 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,17 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper (>= 10), dh-apparmor, libapparmor-dev
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12), dh-apparmor, libapparmor-dev, pkg-config
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git -b experimental
+Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
 Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
 
 Package: firejail
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         firejail-profiles, 
-         iproute2,
-         iptables, xauth, xpra | xserver-xephyr | xvfb
+ firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/rules ===
--- 
+++ 
@@ -26,10 +26,10 @@
 	rm --verbose -rf debian/tmp/usr/share/doc/firejail
 
 override_dh_install:
-#	dh_install -pfirejail
-#	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
-	dh_install -pfirejail --fail-missing
-	dh_install -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
+	dh_install -pfirejail
+	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
+	dh_missing -pfirejail --fail-missing
+	dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
 	dh_apparmor -pfirejail --profile-name=firejail-default
 
 override_dh_auto_test:
@@ -37,3 +37,4 @@
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+

## firejail 0.9.62.2

=== debian/changelog ===
firejail (0.9.62.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to debhelper-compat 12.
  * Move the Recommends to Depends.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 13 Aug 2020 15:11:25 -0700

firejail (0.9.62.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * autopkgtest: disable audit.exp test, which is not working
    inside containers/namespaces.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 11 Aug 2020 19:22:16 +0200

firejail (0.9.62-4) unstable; urgency=high

  * Import security fixes for CVE-2020-17367 and CVE-2020-17368:
    - don't interpret output arguments after end-of-options tag
    - don't pass command line through shell when redirecting output
  * Import profile updates:
    - allow additional characters in paths
    - profile for Element
    - profile for teams (Closes: #956187)
    - whitelist /usr/share/doc for some document viewers (Closes: #950007)
    - whitelist /usr/share/firefox in firefox profile (Closes: #948656)
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.5.0.
  * Fix test-suite container check.
  * Add upstream bugtracker to metadata.
  * Move dh_missing calls to their own override target.
  * Update Vcs-* URLs.
  * Add Forwarded headers to patches.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 06 Aug 2020 17:45:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,13 +28,14 @@
 override_dh_install:
 	dh_install -pfirejail
 	dh_install -pfirejail-profiles -Xdefault.profile -Xserver.profile
+	dh_apparmor -pfirejail --profile-name=firejail-default
+
+override_dh_missing:
 	dh_missing -pfirejail --fail-missing
 	dh_missing -pfirejail-profiles --fail-missing -Xdefault.profile -Xserver.profile
-	dh_apparmor -pfirejail --profile-name=firejail-default
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
-

## firejail 0.9.62.4

=== debian/changelog ===
firejail (0.9.62.4-3) unstable; urgency=medium

  * Import compatibility fix for AppArmor 3.0. (LP: #1899334)
  * Symlink test sources to d/missing-sources so lintian can find them.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 17 Oct 2020 13:41:00 +0200

firejail (0.9.62.4-2) unstable; urgency=medium

  * Import test suite fix to fix autopkgtests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 18 Aug 2020 17:49:36 +0200

firejail (0.9.62.4-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Re-apply patch that prevents installation of AppArmor override file,
    as upstream is installing the file again unnecessarily.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 17 Aug 2020 20:10:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 12), dh-apparmor, libapparmor-dev, pkg-config
-Standards-Version: 4.4.1
+Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 13), dh-apparmor, libapparmor-dev, pkg-config
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
-Vcs-Git: https://salsa.debian.org/deki-guest/firejail.git
-Vcs-Browser: https://salsa.debian.org/deki-guest/firejail
+Vcs-Git: https://salsa.debian.org/reiner/firejail.git
+Vcs-Browser: https://salsa.debian.org/reiner/firejail
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted

=== debian/rules ===
--- 
+++ 
@@ -36,6 +36,3 @@
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## firejail 0.9.64.2

=== debian/changelog ===
firejail (0.9.64.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat=12.
  * All recommended packages now depends for MX build.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Feb 2021 07:31:45 -0800

firejail (0.9.64.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix paths of docs referenced in manpages. (Closes: #975980)
  * Bump Standards-Version to 4.5.1.
  * Don't compress contrib scripts.
  * Drop removed and move renamed conffile.
  * Prevent fixing permissions of binaries expected to be execute-only.
  * Remove leftover Makefile.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 30 Jan 2021 14:28:46 +0100

firejail (0.9.64-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Point d/watch to GitHub.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 22 Oct 2020 18:16:50 +0200

firejail (0.9.64~rc1-2) experimental; urgency=low

  * Cherry-pick upstream fixes:
    - fix crash on systems with disabled SELinux
    - fix parallel build failures
    - fix test suite failures
  * Update netblue30's email address.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 06 Oct 2020 20:21:58 +0200

firejail (0.9.64~rc1-1) experimental; urgency=low

  * New upstream release snapshot.
    - fix conflict of --private and --allusers (Closes: #949469)
  * Refresh patches and drop applied ones.
  * Recommend xdg-dbus-proxy for new dbus sandboxing feature.
  * Build-depend on gawk for manpage processing.
  * Build-depend on libselinux1-dev for new SELinux labeling support.
  * Build with SELinux labeling support.
  * Update copyrights.
  * Symlink test sources to d/missing-sources so lintian can find them.
  * Install vim files for syntax and filetype detection to addons directory.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 05 Oct 2020 23:18:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 13), dh-apparmor, libapparmor-dev, pkg-config
-Standards-Version: 4.5.0
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 12),
+               dh-apparmor,
+               gawk,
+               libapparmor-dev,
+               libselinux1-dev,
+               pkg-config
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
@@ -11,8 +17,13 @@
 
 Package: firejail
 Architecture: linux-any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: firejail-profiles, iproute2, iptables, xauth, xpra | xserver-xephyr | xvfb
+Depends: ${misc:Depends}, ${shlibs:Depends},
+            firejail-profiles,
+            iproute2,
+            iptables,
+            xauth,
+            xdg-dbus-proxy,
+            xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
@@ -23,7 +34,7 @@
 
 Package: firejail-profiles
 Architecture: all
-Depends: ${misc:Depends}, firejail
+Depends: firejail, ${misc:Depends}
 Replaces: firejail (<< 0.9.46~rc1-1)
 Breaks: firejail (<< 0.9.46~rc1-1)
 Description: profiles for the firejail application sandbox

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,10 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-apparmor --enable-contrib-install=no
+	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no
 
 override_dh_fixperms-arch:
-	dh_fixperms
+	dh_fixperms -Xfshaper.sh -Xfcopy -Xfldd -Xfnet -Xfnetfilter -Xfsec-optimize -Xfsec-print -Xfseccomp
 	chmod 4755 debian/firejail/usr/bin/firejail
 
 override_dh_installchangelogs:
@@ -36,3 +36,9 @@
 
 override_dh_auto_test:
 	# skip tests here as they are run as autopkgtest
+
+override_dh_compress:
+	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## firejail 0.9.64.4

=== debian/changelog ===
firejail (0.9.64.4-2+deb11u1) bullseye-security; urgency=medium

  * Fix local root exploit reachable via --join logic. (CVE-2022-31214)
    (Closes: #1012510)

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 16 Jun 2022 21:54:51 +0200

firejail (0.9.64.4-2) unstable; urgency=medium

  * Cherry-pick upstream fix for fcopy usage with private-lib. (Closes: #973756)
  * Add lintian override for warning about mode of firejail helper binaries.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 27 Feb 2021 12:25:29 +0100

firejail (0.9.64.4-1) unstable; urgency=high

  * New upstream release.
    - disable overlayfs support because of security issue (local privilege
      escalation). (CVE-2021-26910)
  * Drop d/clean.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 08 Feb 2021 18:23:11 +0100

=== debian/tests/control ===
Tests: simple-tests
Restrictions: allow-stderr, needs-root, breaks-testbed, flaky
Depends: @, expect, file, procps, xzdec, cpio, strace, csh, zsh

Tests: isolation-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, sudo, strace

Tests: application-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird, firefox, transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root, flaky
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)\-?(rc\d*)$/$1~$2/,pgpsigurlmangle=s/$/.asc/ \
https://github.com/netblue30/firejail/releases .*/firejail-@ANY_VERSION@@ARCHIVE_EXT@

## firejail 0.9.66

=== debian/changelog ===
firejail (0.9.66-2~mx21+1) mx; urgency=medium

  * Initial packaging of upstream backport for MX-21.
  * All recommended packages now depends for MX build.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 29 Oct 2021 13:08:25 -0400

firejail (0.9.66-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 22 Aug 2021 13:24:02 +0200

firejail (0.9.66-2) unstable; urgency=medium

  * Upload to unstable.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 15 Aug 2021 10:33:57 +0200

firejail (0.9.66-1) experimental; urgency=medium

  * New upstream release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 29 Jun 2021 22:55:14 +0200

firejail (0.9.66~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - allow webext extensions to be loaded by chromium (Closes: #986049)
    - fix opening of links in thunderbird (Closes: #968551)
  * Drop removed .inc conffiles via maintscript.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 04 Jun 2021 22:24:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-apparmor --enable-selinux --enable-contrib-install=no
@@ -39,6 +42,3 @@
 
 override_dh_compress:
 	dh_compress -Xsyscalls.txt -Xprofile.template -Xcontrib
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## firejail 0.9.70

=== debian/changelog ===
firejail (0.9.70-2) unstable; urgency=medium

  [ Reiner Herrmann ]
  * Update firefox profiles to allow new dbus names used in ESR version.
    (Closes: #1019386)
  * Drop private-lib from transmission profiles to allow loading additional
    modules. (Closes: #1012734)
  * Adapt lintian overrides to new version.
  * Bump Standards-Version to 4.6.1.
  * Use api.github.com for searching upstream releases.

  [ Olivier Tilloy ]
  * Restrict architectures of firefox in autopkgtest to the ones supported
    in Ubuntu. (Closes: #1013326)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 01 Oct 2022 18:30:05 +0200

firejail (0.9.70-1) unstable; urgency=medium

  * New upstream release.
    - fix sound playback in chromium (Closes: #1003650)
  * Drop patches applied upstream.
  * Enable new IDS feature during build.
  * Mark nvm.profile as removed.
  * Extend lintian-override match to include profstats.
  * Move profiles tests back from smoke- to simple-tests, as they
    are too environment dependent.
  * Add procps to test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 19:14:08 +0200

firejail (0.9.68-4) unstable; urgency=high

  * Fix local root exploit reachable via --join logic. (CVE-2022-31214)
    (Closes: #1012510)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 08 Jun 2022 18:30:16 +0200

firejail (0.9.68-3) unstable; urgency=medium

  * Fix hyperrogue profile, which causes autopkgtest failure in Ubuntu CI.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 08 Feb 2022 19:04:13 +0100

firejail (0.9.68-2) unstable; urgency=medium

  * Add file to test dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 07 Feb 2022 01:07:46 +0100

firejail (0.9.68-1) unstable; urgency=medium

  * New upstream release.
  * Remove hostnames conffile, which has been renamed and moved to libdir.
  * Add a superficial autopkgtest that should run stable, but can
    catch breakage.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 06 Feb 2022 15:41:45 +0100

firejail (0.9.68~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    - fix telegram-desktop profile (Closes: #1002998)
    - allow webext directory in chromium profile (Closes: #1003234)
    - blacklist rxvt when perl is blacklisted (Closes: #1003259)
    - don't reject empty arguments (LP: #1934698)
  * Rename lintian tag in override: setuid-binary -> elevated-privileges.
  * Add lintian overrides for non-standard-executable-perm and
    executable-in-usr-lib.
  * Install new .config files.
  * Remove conffile: disable-passwdmgr.inc.
  * Document new copyright.
  * Bump Standards-Version to 4.6.0.
  * Bump copyright years to 2022.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 19 Jan 2022 19:30:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,9 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Maintainer: Reiner Herrmann <reiner@reiner-h.de>
-Build-Depends: debhelper-compat (= 12),
-               dh-apparmor,
-               gawk,
-               libapparmor-dev,
-               libselinux1-dev,
-               pkg-config
-Standards-Version: 4.5.1
+Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkg-config
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git
@@ -17,13 +11,8 @@
 
 Package: firejail
 Architecture: linux-any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-            firejail-profiles,
-            iproute2,
-            iptables,
-            xauth,
-            xdg-dbus-proxy,
-            xpra | xserver-xephyr | xvfb
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: firejail-profiles, iproute2, iptables, xauth, xdg-dbus-proxy, xpra | xserver-xephyr | xvfb
 Description: sandbox to restrict the application environment
  Firejail is a SUID security sandbox program that reduces the risk of
  security breaches by restricting the running environment of untrusted
@@ -34,7 +23,7 @@
 
 Package: firejail-profiles
 Architecture: all
-Depends: firejail, ${misc:Depends}
+Depends: ${misc:Depends}, firejail
 Replaces: firejail (<< 0.9.46~rc1-1)
 Breaks: firejail (<< 0.9.46~rc1-1)
 Description: profiles for the firejail application sandbox

## firejail 0.9.72

=== Makefile ===
ROOT = .
-include config.mk

ifneq ($(HAVE_MAN),no)
MAN_TARGET = man
MAN_SRC = src/man
endif

COMPLETIONDIRS = src/zsh_completion src/bash_completion

APPS = src/firecfg/firecfg src/firejail/firejail src/firemon/firemon src/profstats/profstats src/jailcheck/jailcheck
SBOX_APPS = src/fbuilder/fbuilder src/ftee/ftee src/fids/fids
SBOX_APPS_NON_DUMPABLE = src/fcopy/fcopy src/fldd/fldd src/fnet/fnet src/fnetfilter/fnetfilter src/fzenity/fzenity
SBOX_APPS_NON_DUMPABLE += src/fsec-optimize/fsec-optimize src/fsec-print/fsec-print src/fseccomp/fseccomp
SBOX_APPS_NON_DUMPABLE += src/fnettrace/fnettrace src/fnettrace-dns/fnettrace-dns src/fnettrace-sni/fnettrace-sni
SBOX_APPS_NON_DUMPABLE += src/fnettrace-icmp/fnettrace-icmp
MYDIRS = src/lib $(MAN_SRC) $(COMPLETIONDIRS)
MYLIBS = src/libpostexecseccomp/libpostexecseccomp.so src/libtrace/libtrace.so src/libtracelog/libtracelog.so
COMPLETIONS = src/zsh_completion/_firejail src/bash_completion/firejail.bash_completion
MANPAGES = firejail.1 firemon.1 firecfg.1 firejail-profile.5 firejail-login.5 firejail-users.5 jailcheck.1
SECCOMP_FILTERS = seccomp seccomp.debug seccomp.32 seccomp.block_secondary seccomp.mdwx seccomp.mdwx.32
ALL_ITEMS = $(APPS) $(SBOX_APPS) $(SBOX_APPS_NON_DUMPABLE) $(MYLIBS)

.PHONY: all
all: all_items mydirs $(MAN_TARGET) filters

config.mk config.sh:
	printf 'run ./configure to generate %s\n' "$@" >&2
	false

.PHONY: all_items $(ALL_ITEMS)
all_items: $(ALL_ITEMS)
$(ALL_ITEMS): $(MYDIRS)
	$(MAKE) -C $(dir $@)

.PHONY: mydirs $(MYDIRS)
mydirs: $(MYDIRS)
$(MYDIRS):
	$(MAKE) -C $@

$(MANPAGES): src/man config.mk
	./mkman.sh $(VERSION) src/man/$(basename $@).man $@

man: $(MANPAGES)

filters: $(SECCOMP_FILTERS) $(SBOX_APPS_NON_DUMPABLE)
seccomp: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp default seccomp
	src/fsec-optimize/fsec-optimize seccomp

seccomp.debug: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp default seccomp.debug allow-debuggers
	src/fsec-optimize/fsec-optimize seccomp.debug

seccomp.32: src/fseccomp/fseccomp src/fsec-optimize/fsec-optimize
	src/fseccomp/fseccomp secondary 32 seccomp.32
	src/fsec-optimize/fsec-optimize seccomp.32

seccomp.block_secondary: src/fseccomp/fseccomp
	src/fseccomp/fseccomp secondary block seccomp.block_secondary

seccomp.mdwx: src/fseccomp/fseccomp
	src/fseccomp/fseccomp memory-deny-write-execute seccomp.mdwx

seccomp.mdwx.32: src/fseccomp/fseccomp
	src/fseccomp/fseccomp memory-deny-write-execute.32 seccomp.mdwx.32

.PHONY: clean
clean:
	for dir in $$(dirname $(ALL_ITEMS)) $(MYDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	$(MAKE) -C test clean
	rm -f $(MANPAGES) $(MANPAGES:%=%.gz) firejail*.rpm
	rm -f $(SECCOMP_FILTERS)
	rm -f test/utils/index.html*
	rm -f test/utils/wget-log
	rm -f test/utils/firejail-test-file*
	rm -f test/utils/lstesting
	rm -f test/environment/index.html*
	rm -f test/environment/wget-log*
	rm -fr test/environment/-testdir
	rm -f test/environment/logfile*
	rm -f test/environment/index.html
	rm -f test/environment/wget-log
	rm -f test/sysutils/firejail_t*
	cd test/compile; ./compile.sh --clean; cd ../..

.PHONY: distclean
distclean: clean
	for dir in $$(dirname $(ALL_ITEMS)) $(MYDIRS); do \
		$(MAKE) -C $$dir distclean; \
	done
	$(MAKE) -C test distclean
	rm -fr autom4te.cache config.log config.mk config.sh config.status

realinstall: config.mk
	# firejail executable
	install -m 0755 -d $(DESTDIR)$(bindir)
	install -m 0755 src/firejail/firejail $(DESTDIR)$(bindir)
ifeq ($(HAVE_SUID),-DHAVE_SUID)
	chmod u+s $(DESTDIR)$(bindir)/firejail
endif
	# firemon executable
	install -m 0755 src/firemon/firemon $(DESTDIR)$(bindir)
	# firecfg executable
	install -m 0755 src/firecfg/firecfg $(DESTDIR)$(bindir)
	# jailcheck executable
	install -m 0755 src/jailcheck/jailcheck $(DESTDIR)$(bindir)
	# libraries and plugins
	install -m 0755 -d $(DESTDIR)$(libdir)/firejail
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail src/firecfg/firejail-welcome.sh
	install -m 0644 -t $(DESTDIR)$(libdir)/firejail $(MYLIBS) $(SECCOMP_FILTERS)
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS)
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail src/profstats/profstats
	# plugins w/o read permission (non-dumpable)
	install -m 0711 -t $(DESTDIR)$(libdir)/firejail $(SBOX_APPS_NON_DUMPABLE)
	install -m 0711 -t $(DESTDIR)$(libdir)/firejail src/fshaper/fshaper.sh
	install -m 0644 -t $(DESTDIR)$(libdir)/firejail src/fnettrace/static-ip-map
ifeq ($(HAVE_CONTRIB_INSTALL),yes)
	# contrib scripts
	install -m 0755 -t $(DESTDIR)$(libdir)/firejail contrib/*.py contrib/*.sh
	# vim syntax
	install -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect
	install -m 0755 -d $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax
	install -m 0644 contrib/vim/ftdetect/firejail.vim $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect
	install -m 0644 contrib/vim/syntax/firejail.vim $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax
	# gtksourceview-5 language-specs
	install -m 0755 -d $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs
	install -m 0644 contrib/gtksourceview-5/language-specs/firejail-profile.lang $(DESTDIR)$(datarootdir)/gtksourceview-5/language-specs
endif
	# documents
	install -m 0755 -d $(DESTDIR)$(docdir)
	install -m 0644 -t $(DESTDIR)$(docdir) COPYING README RELNOTES etc/templates/*
	# profiles and settings
	install -m 0755 -d $(DESTDIR)$(sysconfdir)/firejail
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail src/firecfg/firecfg.config
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/profile-a-l/*.profile etc/profile-m-z/*.profile etc/inc/*.inc etc/net/*.net etc/firejail.config
	sh -c "if [ ! -f $(DESTDIR)/$(sysconfdir)/firejail/login.users ]; then install -c -m 0644 etc/login.users $(DESTDIR)/$(sysconfdir)/firejail/.; fi;"
ifeq ($(HAVE_IDS),-DHAVE_IDS)
	install -m 0644 -t $(DESTDIR)$(sysconfdir)/firejail etc/ids.config
endif
ifeq ($(BUSYBOX_WORKAROUND),yes)
	./mketc.sh $(DESTDIR)$(sysconfdir)/firejail/disable-common.inc
endif
ifeq ($(HAVE_APPARMOR),-DHAVE_APPARMOR)
	# install apparmor profile
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d; fi;"
	install -m 0644 etc/apparmor/firejail-default $(DESTDIR)$(sysconfdir)/apparmor.d
	# install apparmor profile customization file
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/local ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/local; fi;"
	sh -c "if [ ! -f $(DESTDIR)/$(sysconfdir)/apparmor.d/local/firejail-default ]; then install -c -m 0644 etc/apparmor/firejail-local $(DESTDIR)/$(sysconfdir)/apparmor.d/local/firejail-default; fi;"
	# install apparmor base abstraction drop-in
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions; fi;"
	sh -c "if [ ! -d $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions/base.d ]; then install -d -m 755 $(DESTDIR)/$(sysconfdir)/apparmor.d/abstractions/base.d; fi;"
	install -m 0644 etc/apparmor/firejail-base $(DESTDIR)$(sysconfdir)/apparmor.d/abstractions/base.d
endif
ifneq ($(HAVE_MAN),no)
	# man pages
	install -m 0755 -d $(DESTDIR)$(mandir)/man1 $(DESTDIR)$(mandir)/man5
	for man in $(MANPAGES); do \
		rm -f $$man.gz; \
		gzip -9n $$man; \
		case "$$man" in \
			*.1) install -m 0644 $$man.gz $(DESTDIR)$(mandir)/man1/; ;; \
			*.5) install -m 0644 $$man.gz $(DESTDIR)$(mandir)/man5/; ;; \
		esac; \
	done
	rm -f $(MANPAGES) $(MANPAGES:%=%.gz)
endif
	# bash completion
	install -m 0755 -d $(DESTDIR)$(datarootdir)/bash-completion/completions
	install -m 0644 src/bash_completion/firejail.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
	install -m 0644 src/bash_completion/firemon.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon
	install -m 0644 src/bash_completion/firecfg.bash_completion $(DESTDIR)$(datarootdir)/bash-completion/completions/firecfg
	# zsh completion
	install -m 0755 -d $(DESTDIR)$(datarootdir)/zsh/site-functions
	install -m 0644 src/zsh_completion/_firejail $(DESTDIR)$(datarootdir)/zsh/site-functions/

install: all
	$(MAKE) realinstall

install-strip: all
	strip $(ALL_ITEMS)
	$(MAKE) realinstall

uninstall: config.mk
	rm -f $(DESTDIR)$(bindir)/firejail
	rm -f $(DESTDIR)$(bindir)/firemon
	rm -f $(DESTDIR)$(bindir)/firecfg
	rm -f $(DESTDIR)$(bindir)/jailcheck
	rm -fr $(DESTDIR)$(libdir)/firejail
	rm -fr $(DESTDIR)$(datarootdir)/doc/firejail
	for man in $(MANPAGES); do \
		rm -f $(DESTDIR)$(mandir)/man5/$$man*; \
		rm -f $(DESTDIR)$(mandir)/man1/$$man*; \
	done
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firejail
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firemon
	rm -f $(DESTDIR)$(datarootdir)/bash-completion/completions/firecfg
	rm -f $(DESTDIR)$(datarootdir)/zsh/site-functions/_firejail
	rm -f $(DESTDIR)$(datarootdir)/vim/vimfiles/ftdetect/firejail.vim
	rm -f $(DESTDIR)$(datarootdir)/vim/vimfiles/syntax/firejail.vim
	@echo "If you want to install a different version of firejail, you might also need to run 'rm -fr $(DESTDIR)$(sysconfdir)/firejail', see #2038."

DISTFILES = \
COPYING \
Makefile \
README \
RELNOTES \
config.mk.in \
config.sh.in \
configure \
configure.ac \
contrib \
etc \
install.sh \
m4 \
mkdeb.sh \
mketc.sh \
mkman.sh \
platform \
src

DISTFILES_TEST = test/Makefile test/apps test/apps-x11 test/apps-x11-xorg test/root test/private-lib test/fnetfilter test/fcopy test/environment test/profiles test/utils test/compile test/filters test/network test/fs test/sysutils test/chroot

dist: config.mk
	mv config.sh config.sh.old
	mv config.status config.status.old
	make distclean
	mv config.status.old config.status
	mv config.sh.old config.sh
	rm -fr $(TARNAME)-$(VERSION) $(TARNAME)-$(VERSION).tar.xz
	mkdir -p $(TARNAME)-$(VERSION)/test
	cp -a $(DISTFILES) $(TARNAME)-$(VERSION)
	cp -a $(DISTFILES_TEST) $(TARNAME)-$(VERSION)/test
	rm -rf $(TARNAME)-$(VERSION)/src/tools
	find $(TARNAME)-$(VERSION) -name .svn -delete
	tar -cJvf $(TARNAME)-$(VERSION).tar.xz $(TARNAME)-$(VERSION)
	rm -fr $(TARNAME)-$(VERSION)

asc: config.mk
	./mkasc.sh $(VERSION)

deb: dist config.sh
	./mkdeb.sh

deb-apparmor: dist config.sh
	./mkdeb.sh -apparmor --enable-apparmor

test-compile: dist config.mk
	cd test/compile; ./compile.sh $(TARNAME)-$(VERSION)

.PHONY: rpms
rpms: src/man config.mk
	./platform/rpm/mkrpm.sh $(TARNAME) $(VERSION)

extras: all
	$(MAKE) -C extras/firetools

cppcheck: clean
	cppcheck --force --error-exitcode=1 --enable=warning,performance .

scan-build: clean
	NO_EXTRA_CFLAGS="yes" scan-build make

#
# make test
#

TESTS=profiles apps apps-x11 apps-x11-xorg sysutils utils environment filters fs fcopy fnetfilter
TEST_TARGETS=$(patsubst %,test-%,$(TESTS))

$(TEST_TARGETS):
	$(MAKE) -C test $(subst test-,,$@)

test: test-profiles test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment test-apps test-apps-x11 test-apps-x11-xorg test-filters
	echo "TEST COMPLETE"

test-noprofiles: test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment test-apps test-apps-x11 test-apps-x11-xorg test-filters
	echo "TEST COMPLETE"

test-github: test-profiles test-fcopy test-fnetfilter test-fs test-utils test-sysutils test-environment
	echo "TEST COMPLETE"

##########################################
# Individual tests, some of them require root access
# The tests are very intrusive, by the time you are done
# with them you will need to restart your computer.
##########################################
# private-lib is disabled by default in /etc/firejail/firejail.config
test-private-lib:
	$(MAKE) -C test $(subst test-,,$@)

# a firejail-test account is required, public/private key setup
test-ssh:
	$(MAKE) -C test $(subst test-,,$@)

# requires root access
test-chroot:
	$(MAKE) -C test $(subst test-,,$@)

# Huge appimage files, not included in "make dist" archive
test-appimage:
	$(MAKE) -C test $(subst test-,,$@)

# Root access, network devices are created before the test

=== src/bash_completion/Makefile ===
.PHONY: all
all: firejail.bash_completion

ROOT = ../..
-include $(ROOT)/config.mk

firejail.bash_completion: firejail.bash_completion.in $(ROOT)/config.mk
	gawk -f ../man/preproc.awk -- $(MANFLAGS) < $< > $@.tmp
	sed "s|_SYSCONFDIR_|$(sysconfdir)|" < $@.tmp > $@
	rm $@.tmp

.PHONY: clean
clean:
	rm -fr firejail.bash_completion

.PHONY: distclean
distclean: clean

=== src/fbuilder/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fbuilder
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h

include $(ROOT)/src/prog.mk

=== src/fcopy/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fcopy
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h
MOD_OBJS = ../lib/common.o

include $(ROOT)/src/prog.mk

=== src/fids/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fids
TARGET = $(PROG)

MOD_HDRS = ../include/common.h

include $(ROOT)/src/prog.mk

=== src/firecfg/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firecfg
TARGET = $(PROG)

MOD_HDRS = \
../include/common.h \
../include/euid_common.h \
../include/libnetlink.h \
../include/firejail_user.h \
../include/pid.h

MOD_OBJS = ../lib/common.o ../lib/firejail_user.o

include $(ROOT)/src/prog.mk

=== src/firejail/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firejail
TARGET = $(PROG)

MOD_HDRS = \
../include/rundefs.h \
../include/common.h \
../include/ldd_utils.h \
../include/euid_common.h \
../include/pid.h \
../include/seccomp.h \
../include/syscall_i386.h \
../include/syscall_x86_64.h \
../include/firejail_user.h

MOD_OBJS = \
../lib/common.o \
../lib/ldd_utils.o \
../lib/firejail_user.o \
../lib/errno.o \
../lib/syscall.o

include $(ROOT)/src/prog.mk

=== src/firemon/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = firemon
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/pid.h
MOD_OBJS = ../lib/common.o ../lib/pid.o

include $(ROOT)/src/prog.mk

=== src/fldd/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fldd
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/syscall.h ../include/ldd_utils.h
MOD_OBJS = ../lib/common.o ../lib/ldd_utils.o

include $(ROOT)/src/prog.mk

=== src/fnet/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnet
TARGET = $(PROG)

MOD_HDRS = ../include/common.h ../include/libnetlink.h
MOD_OBJS = ../lib/common.o ../lib/libnetlink.o

include $(ROOT)/src/prog.mk

=== src/fnettrace-icmp/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnettrace-icmp
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== src/fnettrace-sni/Makefile ===
ROOT = ../..
-include $(ROOT)/config.mk

PROG = fnettrace-sni
TARGET = $(PROG)

include $(ROOT)/src/prog.mk

=== debian/changelog ===
firejail (0.9.72-2ubuntu3) noble; urgency=medium

  * Fix build on armhf by #undef-ining _FILE_OFFSET_BITS and _TIME_BITS in a
    couple of places.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 16 Apr 2024 15:09:15 +1200

firejail (0.9.72-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:51:46 +1100

firejail (0.9.72-2ubuntu1) noble; urgency=medium

  * debian/tests/control:
    - update to reflect the architectures thunderbird is now available on

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 06 Mar 2024 16:35:38 +0100

firejail (0.9.72-2) unstable; urgency=medium

  * Fix more errors in smoke tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 17 Jan 2023 02:04:42 +0100

firejail (0.9.72-1) unstable; urgency=medium

  * New upstream release.
  * Bump packaging copyright year.
  * Symlink source of test binary so that lintian can find it.
  * Fix/disable broken tests.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 16 Jan 2023 19:45:28 +0100

firejail (0.9.72~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop/refresh patches.
  * Bump Standards-Version to 4.6.2.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 21 Dec 2022 23:55:23 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: firejail
 Section: utils
 Priority: optional
-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper-compat (= 13), dh-apparmor, gawk, libapparmor-dev, libselinux1-dev, pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://firejail.wordpress.com
 Vcs-Git: https://salsa.debian.org/reiner/firejail.git

=== debian/tests/control ===
Tests: smoke-tests
Restrictions: allow-stderr, needs-root, breaks-testbed, superficial
Depends: @, expect, file, procps, strace, csh, zsh

Tests: simple-tests
Restrictions: allow-stderr, needs-root, breaks-testbed, flaky
Depends: @, expect, file, procps, xzdec, cpio

Tests: isolation-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, sudo, strace

Tests: application-tests
Restrictions: allow-stderr, isolation-machine, flaky
Depends: @, expect, file, strace, sudo, man-db, iptables, iputils-ping, wget, csh, zsh, xvfb, xserver-xephyr, xterm, evince, thunderbird [amd64 arm64], firefox [amd64 armhf arm64], transmission-gtk

Tests: network-test
Restrictions: allow-stderr, breaks-testbed, isolation-machine, needs-root, flaky
Depends: @, expect, iproute2, iptables, iputils-ping, net-tools, bridge-utils
